Subject: Re: bug#37485: 27.0.50; C-m in describe-bindings

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Sep 2019 21:44:38 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 23 Sep 2019 19:58:15 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Key description and fast typing are two separate issues.  Mnemonics is
> > yet another, third, issue (and assigning mnemonic value to 'm' in C-m
> > is generally unusual, IME).  I don't think these additional issues
> > should affect how we display C-m/RET _everywhere_ in our docs.  E.g.,
> > would you propose to use C-i instead of TAB?
> 
> Hm...  I think so?  (There's 67 `C-. C-i' in the manual.)

And 187 TABs.

> Mind you, I'm only talking about multi-key keystrokes if we were to do
> this by default.

I don't see the difference, and neither does describe-key, AFAIK.

> But what I really had in mind was to find out whether anybody had any
> smart ideas for how to convey to `describe-bindings' how these keys
> should be displayed on a per-keymap basis.  I hadn't taken a look at how
> keymaps are defined at all...
> 
> But they are really char-table objects wrapped in a list?
> 
> Would it be possible to add an option to `make-keymap' that would pass
> along an argument to control what `describe-bindings' should do with the
> keymap?  And then stash that in the char-table object?

I think it's a waste of cycles.  We have much more important stuff to
spend time on.  But that's me.